> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v1/execution-webhooks/deliveries

List execution webhook deliveries for the current organization

` GET /v1/execution-webhooks/deliveries `

List execution webhook deliveries for the current organization

## Parameters

### ` limit ` (query, optional)

Number of items (default 20, max 100)

- ` value `: type ` integer `

### ` offset ` (query, optional)

Offset for pagination (default 0)

- ` value `: type ` integer `

### ` endpointId ` (query, optional)

Filter by webhook endpoint ID

- ` value `: type ` string `

## Responses

### ` 200 ` — OK

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

    - example: ` 200 `

  - ` data `: type ` object `

    - ` hasMore `: type ` boolean `

    - ` items `: type ` array `

      - ` array item `: type ` object `

        - ` createdAt `: type ` string `

        - ` durationMs `: type ` integer `

        - ` endpointId `: type ` string `

        - ` errorMessage `: type ` string `

        - ` eventType `: type ` string `

        - ` executionId `: type ` string `

        - ` id `: type ` string `

        - ` maxRetries `: type ` integer `

        - ` nextRetryAt `: type ` string `

        - ` organizationId `: type ` string `

        - ` requestBody `: type ` object `

        - ` requestHeaders `: type ` object `

        - ` responseBody `: type ` string `

        - ` responseHeaders `: type ` object `

        - ` responseStatus `: type ` integer `

        - ` retryCount `: type ` integer `

        - ` runId `: type ` string `

        - ` status `: type ` string `

          - enum: ` ["pending","success","failure","retrying"] `

        - ` updatedAt `: type ` string `

        - ` workflowId `: type ` string `

    - ` limit `: type ` integer `

    - ` offset `: type ` integer `

  - ` message `: type ` string `

    - example: ` "success" `

  - ` requestId `: type ` string `

    - example: ` "req_123" `

### ` 400 ` — Bad Request

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

## Request examples

### cURL

```curl
curl -X GET 'https://api.example.com/v1/execution-webhooks/deliveries' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://api.example.com/v1/execution-webhooks/deliveries', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://api.example.com/v1/execution-webhooks/deliveries', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://api.example.com/v1/execution-webhooks/deliveries", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```